Bug 832483 - digikamnepomukservice crashes with kde-4.8.90
digikamnepomukservice crashes with kde-4.8.90
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: digikam (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks: kde-4.9
  Show dependency treegraph
 
Reported: 2012-06-15 10:14 EDT by Rex Dieter
Modified: 2013-01-12 10:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:08:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 304052 None None None 2012-07-25 10:44:50 EDT

  None (edit)
Description Rex Dieter 2012-06-15 10:14:19 EDT
digikamnepomukservice crashes with kde-4.8.90...  says it all. I only noticed my ~/.xsession-errors getting a little spam'y.

I'll see if I can get a backtrace or something
Comment 1 Rex Dieter 2012-07-03 15:47:22 EDT
Here's the .xsession-error messages over and over:

[/usr/bin/nepomukservicestub] Failed to start service digikamnepomukservice (The service 'Digikam Nepomuk Service' does not provide an interface 'Nepomuk2::Service' with keyword '').
Comment 2 Rex Dieter 2012-07-25 10:44:50 EDT
confirmed still occurs with 

$ rpm -q digikam nepomuk-core
digikam-2.7.0-1.fc17.1.kde49.x86_64
nepomuk-core-4.8.97-1.fc17.x86_64

upstream bug filed
Comment 3 Rex Dieter 2012-10-29 09:16:19 EDT
Upstream has disabled nepomuk support in recent git commits, pending a rewrite to support Nepomuk2

Not sure if it's worth essentially backporting that or not to avoid the .xsession-error spam
Comment 4 Fedora Update System 2012-12-13 14:28:16 EST
digikam-2.9.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/digikam-2.9.0-3.fc17
Comment 5 Fedora Update System 2012-12-13 14:57:49 EST
digikam-2.9.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/digikam-2.9.0-3.fc18
Comment 6 Fedora Update System 2012-12-14 01:49:13 EST
Package digikam-2.9.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing digikam-2.9.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20357/digikam-2.9.0-3.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-01-11 20:08:43 EST
digikam-2.9.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-01-12 10:19:14 EST
digikam-2.9.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.